be.fgov.ehealth.dics.protocol.v3

## Class ConsultRealActualIngredientEquivalentType

- java.lang.Object
- - be.fgov.ehealth.dics.core.v3.actual.common.RealActualIngredientEquivalentKeyType
  - - be.fgov.ehealth.dics.protocol.v3.ConsultRealActualIngredientEquivalentType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:11:18+01:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultRealActualIngredientEquivalentType
      extends RealActualIngredientEquivalentKeyType
      implements Serializable

  Java class for ConsultRealActualIngredientEquivalentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultRealActualIngredientEquivalentType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:core:v3:actual:common}RealActualIngredientEquivalentKeyType">
             <sequence>
               <element name="Type" type="{urn:be:fgov:ehealth:dics:core:v3:core}IngredientTypeType"/>
               <element name="KnownEffect" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <choice minOccurs="0">
                 <element name="Strength" type="{urn:be:fgov:ehealth:dics:core:v3:core}QuantityType"/>
                 <element name="StrengthDescription" type="{http://www.w3.org/2001/XMLSchema}string"/>
               </choice>
               <element name="Substance" type="{urn:be:fgov:ehealth:dics:protocol:v3}SubstanceWithStandardsType"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultRealActualIngredientEquivalentType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `QuantityType` | `getStrength()` Gets the value of the strength property.
    `String` | `getStrengthDescription()` Gets the value of the strengthDescription property.
    `SubstanceWithStandardsType` | `getSubstance()` Gets the value of the substance property.
    `String` | `getType()` Gets the value of the type property.
    `Boolean` | `isKnownEffect()` Gets the value of the knownEffect property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setKnownEffect(Boolean value)` Sets the value of the knownEffect property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
    `void` | `setStrength(QuantityType value)` Sets the value of the strength property.
    `void` | `setStrengthDescription(String value)` Sets the value of the strengthDescription property.
    `void` | `setSubstance(SubstanceWithStandardsType value)` Sets the value of the substance property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class be.fgov.ehealth.dics.core.v3.actual.common.RealActualIngredientEquivalentKeyType

      `getSequenceNr, setSequenceNr`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultRealActualIngredientEquivalentType

          public ConsultRealActualIngredientEquivalentType()

  - ### Method Detail

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### isKnownEffect

          public Boolean isKnownEffect()

      Gets the value of the knownEffect property.
      Returns:
        possible object is `Boolean`

    - #### setKnownEffect

          public void setKnownEffect(Boolean value)

      Sets the value of the knownEffect property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getStrengthDescription

          public String getStrengthDescription()

      Gets the value of the strengthDescription property.
      Returns:
        possible object is `String`

    - #### setStrengthDescription

          public void setStrengthDescription(String value)

      Sets the value of the strengthDescription property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStrength

          public QuantityType getStrength()

      Gets the value of the strength property.
      Returns:
        possible object is `QuantityType`

    - #### setStrength

          public void setStrength(QuantityType value)

      Sets the value of the strength property.
      Parameters:
        `value` - allowed object is `QuantityType`

    - #### getSubstance

          public SubstanceWithStandardsType getSubstance()

      Gets the value of the substance property.
      Returns:
        possible object is `SubstanceWithStandardsType`

    - #### setSubstance

          public void setSubstance(SubstanceWithStandardsType value)

      Sets the value of the substance property.
      Parameters:
        `value` - allowed object is `SubstanceWithStandardsType`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Package PERSDENTIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.